Daily Ubuntu / Linux news and application reviews.

Pipelight is project that brings Silverlight to any Linux browser that supports the Netscape Plugin API. Using it, you can use services that require Silverlight, such as Netflix, in native Linux web browsers like Firefox, Chrome or Midori.

Netflix Google Chrome Linux

Pipelight combines the effort by Erich E. Hoover (the Netflix Desktop developer) with a new browser plugin which - unlike Netflix Desktop which requires a Windows version of Firefox to run under Wine -, lets you access services that require Microsoft Silverlight using native Linux web browsers.

This solution isn't Wine-free because the browser plugin continues to use Wine however, this shouldn't have a big impact on performance:

"Pipelight consists out of two parts: A Linux library which is loaded into the browser and a Windows program started in Wine. The Windows program, called pluginloader.exe, simply simulates a browser and loads the Silverlight DLLs. When you open a page with a Silverlight application the library will send all commands from the browser through a pipe to the Windows process and act like a bridge between your browser and Silverlight. The used pipes do not have any big impact on the speed of the rendered video since all the video and audio data is not send through the pipe. Only the initialization parameters and (sometimes) the network traffic is send through them."

According to the Pipelight website, the plugin has been confirmed to work "almost perfectly" using Microsoft Silverlight 5 for the following websites: Maxdome, Netflix and Sumo 2.

I've tested Pipelight with Netflix, under Chrome (Ubuntu 13.10) and I can confirm it works (and the playback was smooth!), as you can see in the screenshots in this article. Update: I've also tested it with Firefox and it works, but sometimes the browser freezes, something which doesn't happen with Chrome so I recommend using Chrome / Chromium with Pipelight.


Install Pipelight in Ubuntu


Important update: starting with version 35, Google Chrome no longer supports NPAPI plugins so Pipelight won't work in Chrome!

Microsoft Silverlight Google Chrome Linux

Before proceeding, it's strongly recommended to close your web browser. Without doing this, the plugin may fail to install or crash the browser (you can copy the instructions below to a text editor).

1. If you've installed the old Pipelight version, remove it before proceeding:
sudo apt-get remove pipelight

To add the Pipelight stable and Compholio PPAs and install Pipelight in Ubuntu, use the following commands:
sudo apt-add-repository ppa:pipelight/stable
sudo apt-get update
sudo apt-get install --install-recommends pipelight-multi
sudo pipelight-plugin --update

Then, you can install the Silverlight plugin using the following command:
- system-wide:
sudo pipelight-plugin --enable silverlight
- for your user only:
pipelight-plugin --enable silverlight

By default, this will install Silverlight 5.1, but you can install a different version, for instane 5.0, by using this command instead (don't use "sudo" if you don't want to install it system-wide):
sudo pipelight-plugin --disable silverlight --enable silverlight5.0

Once installed, start your browser and try THIS test Silverlight applet. If it doesn't work, check if Silverlight is available in your browser plugin list (e.g.: you can type "about:plugins" in the address bar).

Update 1: Pipelight now also supports installing the Windows version of Adobe Flash. To install the Windows version of Adobe Flash, use this command:
- system-wide
sudo pipelight-plugin --enable flash
- for your user only:
pipelight-plugin --enable flash

Update 2: Pipelight now supports Widevine. To enable Widevine, use the command below:
- system-wide:
sudo pipelight-plugin --enable widevine
- for your user only:
pipelight-plugin --enable widevine

If you didn't close the browser before proceeding with the installation and Silverlight doesn't work, run the following command:
rm -rf ~/.wine-pipelight/
and then restart the browser.

Update 3: Pipelight now also supports installing the ViewRight Caiway plugin and the Vizzed RGR plugin.

To install the ViewRight Caiway plugin, use the commands below:

- system-wide:
sudo pipelight-plugin --enable viewright-caiway
- for your user only:
pipelight-plugin --enable viewright-caiway

To install the Vizzed RGR plugin, use the commands below:

- system-wide:
sudo pipelight-plugin --enable vizzedrgr
- for your user only:
pipelight-plugin --enable vizzedrgr

Update 4: Pipelight now supports installing Unity3D. To install it, use the commands below:

- system-wide:
sudo pipelight-plugin --enable unity3d
- for your user only:
pipelight-plugin --enable unity3d


2. We're not done yet. Silverlight should be working now, but some websites such as Netflix check the browser user agent and won't allow you to play any videos since Linux isn't supported. A work-around for this is to use a browser user agent switcher:

  • Firefox: install UAControl or User Agent Overrider extensions and use one of the following user agents:
    • Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20120427 Firefox/15.0a1
    • Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20100101 Firefox/22.0
    • Mozilla/5.0 (Windows NT 6.1; rv:23.0) Gecko/20131011 Firefox/23.0
  • Chrome: install User Agent Switcher  extension and select Windows Firefox 15 from the extension preferences.

That's it! If video playback is slow or laggy, try THIS work-around.

Update 5: Pipelight can now check your system for common issues which could prevent it from working. To run the Pipelight system check tool, use this command:
pipelight-plugin --system-check

Some information about common issues can be found HERE.


Installing other Pipelight plugins


Pipelight is constantly getting support for new plugins. To see a complete list of plugins supported by Pipelight, run the following command:
pipelight-plugin --help

To enable a plugin, simply run the following command:
sudo pipelight-plugin --enable pluginname
(where "pluginname" is the name of the plugin you want to enable/install)

Some of these plugins need to be "unlocked" first (this will create some extra file consuming some disk space) - for such plugins, an error will be displayed, telling you to run the following command:
sudo pipelight-plugin --unlock pluginname
(where "pluginname" is the name of the plugin you want to enable/install)


Also see:

For more information, Arch Linux installation instructions, source files and so on, visit Pipelight installation page.

via Daniel Foré @ G+
«
Next
Newer Post
»
Previous
Older Post